<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('form_up_country', function (Blueprint $table) {
            $table->integer('allowance')->nullable()->change();
            $table->integer('transport_dalkot')->nullable()->change();
            $table->integer('transport_ankot')->nullable()->change();
            $table->integer('hotel')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('form_up_country', function (Blueprint $table) {
            $table->integer('allowance')->nullable(false)->change();
            $table->integer('transport_dalkot')->nullable(false)->change();
            $table->integer('transport_ankot')->nullable(false)->change();
            $table->integer('hotel')->nullable(false)->change();
        });
    }
};
